Subject: bug#67953: closed (Re: bug#67953: 30.0.50; ls-lisp messes up columns)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Dec 2023 11:06:01 +0000

Your bug report

#67953: 30.0.50; ls-lisp messes up columns

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67953: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67953: 30.0.50; ls-lisp messes up columns
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sat, 23 Dec 2023 13:05:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 22 Dec 2023 10:31:07 -0500
> 
> > The simple kludge below, which simply prevents it from realigning the
> > first column of data, seems to fix it here.  WDYT?
> 
> Looks OK to me.  I'd recommend we add a comment about this (zerop
> curcol) test explaining why the other branch mishandles this
> case (or mentioning that we don't know why).

Done.  I decided to install this on master, since this is a very old
problem (I can see it in Emacs 26), and the situations where it rears
its ugly head are quite rare.

Closing.

Subject: 30.0.50; ls-lisp messes up columns
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Thu, 21 Dec 2023 09:35:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 30.0.50

After loading `ls-lisp`, I notice that with (setq
ls-lisp-use-insert-directory-program t) I get the nice:

    C-x d /u*/s* RET  ==>

      /:
      wildcard u*/s*/
      drwxr-xr-x   2 root root 20480 10 déc 11:24 usr/sbin/
      drwxr-xr-x 404 root root 16384  2 déc 15:05 usr/share/
      drwxr-xr-x   4 root root  4096 22 fév  2023 usr/src/

But with (setq ls-lisp-use-insert-directory-program nil) I get:

    C-x d /u*/s* RET  ==>

      /:
      wildcard u*/s*
      drwxr-xr-x  2 root root 20480 12-10 11:24 usr/sbin
      drwxr-xr-x404 root root 16384 12-02 15:05 usr/share
       drwxr-xr-x  4 root root 4096 2023-02-22  usr/src

Notice the weird extra space in front of the last line and the missing
space between "x" and "404" in the penultimate line.

        Stefan